Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class XSLTextAttributeMap

    public class XSLTextAttributeMap
    extends java.lang.Object

Handles the mapping of the Style Constants to Text Attributes for XSL.

## Method Summary

`protected void` | `addXSLTextAttribute(java.lang.String colorKey)`
`protected TextAttribute` | `createTextAttribute(RGB foreground , RGB background , int style)`
`public static org.eclipse.wst.xsl.ui.internal.style.XSLTextAttributeMap` | `getInstance()` Returns an instance of XSLTextAttributeMap
`public java.util.Map` | `getTextAttributeMap()` Get's a Map of XSL Style Constants to Text Attributes.

## Methods Detail

## addXSLTextAttribute

`protected void addXSLTextAttribute(java.lang.String colorKey)`

### Parameters

`colorKey`

## createTextAttribute

`protected TextAttribute createTextAttribute(RGB foreground , RGB background , int style)`

### Parameters

`foreground`

`background`

`style`

### Returns

`TextAttribute`

## getInstance

`public org.eclipse.wst.xsl.ui.internal.style.XSLTextAttributeMap getInstance()`

Returns an instance of XSLTextAttributeMap

### Returns

`org.eclipse.wst.xsl.ui.internal.style.XSLTextAttributeMap`

## getTextAttributeMap

`public java.util.Map getTextAttributeMap()`

Get's a Map of XSL Style Constants to Text Attributes.

### Returns

`java.util.Map`